import { w as withInstall } from "../badge/index2.js";
import { defineComponent, openBlock, createBlock, withCtx, createVNode, renderSlot, createSlots, unref } from "vue";
import { _ as _sfc_main$1 } from "../dropdown/index2.js";
import { L as LayDropdownMenu } from "../dropdownMenu/index2.js";
import { _ as _sfc_main$2 } from "../dropdownMenuItem/index2.js";
import { _ as _sfc_main$2E } from "../checkbox/index2.js";
import "../_chunks/@vueuse/index.js";
const __default__ = {
  name: "LayDropdownSubMenu"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    trigger: { default: "hover" },
    placement: { default: "right-start" },
    disabled: { type: Boolean, default: false },
    contentOffset: { default: 2 }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(_sfc_main$1, {
        trigger: __props.trigger,
        placement: __props.placement,
        "auto-fit-min-width": false,
        contentOffset: __props.contentOffset,
        disabled: __props.disabled,
        updateAtScroll: ""
      }, {
        content: withCtx(() => [
          createVNode(LayDropdownMenu, null, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "content")
            ]),
            _: 3
          })
        ]),
        default: withCtx(() => [
          createVNode(_sfc_main$2, { disabled: __props.disabled }, createSlots({
            suffix: withCtx(() => [
              renderSlot(_ctx.$slots, "suffix", {}, () => [
                createVNode(unref(_sfc_main$2E), {
                  type: "layui-icon-right",
                  size: "14px"
                })
              ])
            ]),
            _: 2
          }, [
            _ctx.$slots.prefix ? {
              name: "prefix",
              fn: withCtx(() => [
                renderSlot(_ctx.$slots, "prefix")
              ]),
              key: "0"
            } : void 0,
            _ctx.$slots.default ? {
              name: "default",
              fn: withCtx(() => [
                renderSlot(_ctx.$slots, "default")
              ]),
              key: "1"
            } : void 0
          ]), 1032, ["disabled"])
        ]),
        _: 3
      }, 8, ["trigger", "placement", "contentOffset", "disabled"]);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
